import { characterData } from "../characterData.js";
import { userData } from "../userData.js";

export class loginResponse{
    result : boolean
    userData : userData
    playerData : characterData

    constructor(user : userData, player : characterData){
        if (!user || !player){
            this.result = false;
            this.userData = this.playerData = null;
        }
        else{
            this.result = true;
            this.userData = user.makeSafe();
            this.playerData = player;
        }
    }
}